{
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Window Analysis",
	"description": "Window analysis data estimated from scandata and resulting filter parameters",
	"type": "object",
	"properties": {
		"result": {
			"type": "object",
			"properties": {
				"angle": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[deg]"
				},
				"range_mean": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[m]"
				},
				"range_sigma": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[m]"
				},
				"amplitude_mean": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[dB]"
				},
				"amplitude_sigma": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[dB]"
				},
				"timestamp": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[s]"
				},
				"amplitude_offset": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[dB]"
				}
			},
			"required": [
				"angle",
				"range_mean",
				"range_sigma",
				"amplitude_mean",
				"amplitude_sigma",
				"amplitude_offset"
			]
		},
		"filter": {
			"type": "object",
			"properties": {
				"angle": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[deg]"
				},
				"range_min": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[m]"
				},
				"range_max": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[m]"
				},
				"amplitude_max": {
					"type": "array",
					"items": {
						"type": "number"
					},
					"description": "[dB]"
				}
			},
			"required": [
				"angle",
				"range_min",
				"range_max",
				"amplitude_max"
			]
		},
		"settings": {
			"type": "object",
			"properties": {
				"range": {
					"type": "object",
					"properties": {
						"sigma_factor": {
							"type": "number"
						},
						"additive_value": {
							"type": "number"
						}
					},
					"required": [
						"sigma_factor",
						"additive_value"
					]
				},
				"amplitude": {
					"type": "object",
					"properties": {
						"sigma_factor": {
							"type": "number"
						},
						"additive_value": {
							"type": "number"
						}
					},
					"required": [
						"sigma_factor",
						"additive_value"
					]
				}
			},
			"required": [
				"range",
				"amplitude"
			]
		}
	},
	"required": [
		"result",
		"filter",
		"settings"
	]
}